View Issue Details

IDProjectCategoryView StatusLast Update
13265Bug reports[All Projects] User/User groupspublic2018-02-06 12:04
Reporterdsluga_senAssigned Toollehar 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.2.x 
Summary13265: Survey menu assigned to specific user shows up for all users
Description

I suppose if a user is assigned to any menu entry that it should actually display just for that user. This doesn't seem to be so.

Steps To Reproduce

In menu entries configuration edit any menu entry and set a user in the advanced settings.
Go to a survey settings page as another user and the menu can still be seen.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.1.0 180124 + commits cb8ae13 & b879b8a
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.7.21
Server OS (if known)Ubuntu 16.04
Webserver software & version (if known)Apache 2.4.18
PHP Version7.0.22

Activities

ollehar

ollehar

2018-01-30 16:56

administrator   ~46162

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26272

ollehar

ollehar

2018-01-31 10:26

administrator   ~46164

Fixed, but still some issues related to menu and permissions.

dsluga_sen

dsluga_sen

2018-01-31 13:31

reporter   ~46179

Thanks, it works well now. What would be the other issues?

ollehar

ollehar

2018-01-31 13:43

administrator   ~46180

The HTML is corrupted if user has no survey permissions. I'm working on it right now.

Related Changesets

LimeSurvey: master 4bb4dbdb

2018-01-30 16:49:44

ollehar

Details Diff
Fixed issue 13265: Survey menu assigned to specific user shows up for all users Affected Issues
13265
mod - application/models/Survey.php Diff File

Issue History

Date Modified Username Field Change
2018-01-30 15:20 dsluga_sen New Issue
2018-01-30 16:56 ollehar Changeset attached => LimeSurvey master 4bb4dbdb
2018-01-30 16:56 ollehar Note Added: 46162
2018-01-30 16:56 ollehar Assigned To => ollehar
2018-01-30 16:56 ollehar Resolution open => fixed
2018-01-31 10:26 ollehar Status new => resolved
2018-01-31 10:26 ollehar Fixed in Version => 3.1.x
2018-01-31 10:26 ollehar Note Added: 46164
2018-01-31 13:31 dsluga_sen Note Added: 46179
2018-01-31 13:43 ollehar Note Added: 46180
2018-02-06 12:04 ollehar Status resolved => closed
2018-02-06 12:04 ollehar Fixed in Version 3.1.x => 3.2.x